CATMAN(8)

NAME
catman - create the cat files for the manual

SYNOPSIS
/usr/sbin/catman [ -p ] [ -n ] [ -w ] [ -M path ] [ sections ]

DESCRIPTION
Catman creates the preformatted versions of the on-line manual from the nroff input files. Each manual page is examined and those whose preformatted versions are missing or out of date are recreated. If any changes are made, catman will recreate the whatis database.

If there is one parameter not starting with a `-', it is taken to be a list of manual sections to look in. For example

    catman 123

will cause the updating to only happen to manual sections 1, 2, and 3.

Options:

-n  prevents creations of the whatis database.

-p  prints what would be done instead of doing it.

-w  causes only the whatis database to be created. No manual reformatting is done.

-M  updates manual pages located in the set of directories specified by path (/usr/share/man by default). Path has the form of a colon (`:') separated list of directory names, for example `/usr/local/man:/usr/share/man'. If the environment variable `MANPATH' is set, its value is used for the default path.

If the nroff source file contains only a line of the form `.so manx/yyy.x', a symbolic link is made in the catx directory to the appropriate preformatted manual page. This feature allows easy distribution of the preformatted manual pages among a group of associated machines with rdist(1). The nroff sources need not be distributed to all machines, thus saving the associated disk space. As an example, consider a local network with 5 machines, called mach1 through mach5. Suppose mach3 has the manual page nroff sources. Every night, mach3 runs catman via cron(8) and later runs rdist with a distfile that looks like:

    MANSLAVES = ( mach1 mach2 mach4 mach5 )
    MANUALS = (/usr/share/man/cat[1-8no] /usr/share/man/whatis)
    ${MANUALS} -> ${MANSLAVES}
    	install -R;
    	notify root;

FILES
/usr/share/man	default manual directory location
/usr/share/man/man?/*.*	raw (nroff input) manual sections
/usr/share/man/cat?/*.*	preformatted manual pages
/usr/share/man/whatis	whatis database
/usr/lib/makewhatis	command script to make whatis database

SEE ALSO
man(1), cron(8), rdist(1)

BUGS
Acts oddly on nights with full moons.